// DeformationMatchingDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "DeformationMatchingDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDeformationMatchingDialog dialog


CDeformationMatchingDialog::CDeformationMatchingDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CDeformationMatchingDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDeformationMatchingDialog)
	m_AngleChangePenalty = 0.0f;
	m_Cs = 0.0f;
	m_Ks = 0.0f;
	m_MinimalniPenaltovanePootoceni = 0.0f;
	m_PenaltaZaPootoceni = 0.0f;
	m_ZeroCrossingPenalty = 0.0f;
	m_MaxChangeAllowed = 0.0f;
	//}}AFX_DATA_INIT
	ParentObject=NULL;
}


void CDeformationMatchingDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDeformationMatchingDialog)
	DDX_Text(pDX, IDC_ACHP, m_AngleChangePenalty);
	DDV_MinMaxFloat(pDX, m_AngleChangePenalty, 0.f, 999999.9f);
	DDX_Text(pDX, IDC_CS, m_Cs);
	DDV_MinMaxFloat(pDX, m_Cs, 0.f, 1.e+007f);
	DDX_Text(pDX, IDC_KS, m_Ks);
	DDV_MinMaxFloat(pDX, m_Ks, 0.f, 1.e+007f);
	DDX_Text(pDX, IDC_MPP, m_MinimalniPenaltovanePootoceni);
	DDV_MinMaxFloat(pDX, m_MinimalniPenaltovanePootoceni, 0.f, 99999.f);
	DDX_Text(pDX, IDC_PZP, m_PenaltaZaPootoceni);
	DDV_MinMaxFloat(pDX, m_PenaltaZaPootoceni, 0.f, 99999.f);
	DDX_Text(pDX, IDC_ZCP, m_ZeroCrossingPenalty);
	DDV_MinMaxFloat(pDX, m_ZeroCrossingPenalty, 0.f, 999999.f);
	DDX_Text(pDX, IDC_MAXCHANGE, m_MaxChangeAllowed);
	DDV_MinMaxFloat(pDX, m_MaxChangeAllowed, 0.f, 1.e+007f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDeformationMatchingDialog, CDialog)
	//{{AFX_MSG_MAP(CDeformationMatchingDialog)
	ON_BN_CLICKED(IDC_RECALCULATE, OnRecalculate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDeformationMatchingDialog message handlers

void CDeformationMatchingDialog::OnRecalculate() 
{
	if (ParentObject) ParentObject->DialogUpdated();	
}
