// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__025A0E2B_63B0_43DC_AF6E_94E8F0B5BE8A__INCLUDED_)
#define AFX_MAINFRM_H__025A0E2B_63B0_43DC_AF6E_94E8F0B5BE8A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChildView.h"

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	void RedoGraph(void);
	void RedrawGraph(void);
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CChildView    m_wndView;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg void OnViewDv();
	afx_msg void OnViewSd();
	afx_msg void OnViewSv();
	afx_msg void OnViewTofit();
	afx_msg void OnViewSl();
	afx_msg void OnViewVl();
	afx_msg void OnViewDl();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnViewDnl();
	afx_msg void OnViewSnl();
	afx_msg void OnViewVnl();
	afx_msg void OnViewTofitproportional();
	afx_msg void OnFileSave();
	afx_msg void OnFileLoad();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__025A0E2B_63B0_43DC_AF6E_94E8F0B5BE8A__INCLUDED_)
