#if !defined(AFX_MATCHINGCONFIG_H__94C299FC_8DDA_4FEC_ACCB_B0178F61E328__INCLUDED_)
#define AFX_MATCHINGCONFIG_H__94C299FC_8DDA_4FEC_ACCB_B0178F61E328__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MatchingConfig.h : header file
//
#include "stdafx.h"
#include "resource.h"
#include "filters\confinterface.h"

/////////////////////////////////////////////////////////////////////////////
// CMatchingConfig dialog

class CMatchingConfig : public CDialog
{
// Construction
public:
	int GetSelectedTrackId(void);
	int SelectionId;
	void SetInfoForMatch(int MatchId);	
	CMatchingConfig(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMatchingConfig)
	enum { IDD = IDD_MATCHING_CONFIG };
	CButton	m_SaveCtrl;
	CButton	m_PickPrimaryCtrl;
	CButton	m_PickMergeColorCtrl;
	CButton	m_PickMergeFilterCtrl;
	CButton	m_PickFilterCtrl;
	CButton	m_PickColorCtrl;
	CButton	m_DeleteSecond;
	CButton	m_ConfigMergeFiltrCtrl;
	CButton	m_ConfigFilterCtrl;
	CButton	m_AddSecondCtrl;
	CEdit	m_MergeFilterName;
	CStatic	m_MergeColorFrame;
	CStatic	m_ColorFrame;
	CEdit	m_Name;
	CEdit	m_FilterName;
	CListCtrl	m_Matches;
	CListCtrl	m_SecondaryTracks;
	CEdit	m_PrimaryTrack;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMatchingConfig)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMatchingConfig)
	afx_msg void OnAddmatch();
	afx_msg void OnAddsecond();
	afx_msg void OnConfigfilter();
	afx_msg void OnDeletematch();
	afx_msg void OnPickfilter();
	afx_msg void OnDeletesecond();
	afx_msg void OnClickMatches(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClickSecondary(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnChangeName();
	afx_msg void OnPickprimary();
	afx_msg void OnPaint();
	afx_msg void OnPickcolor();
	afx_msg void OnPickmergecolor();
	afx_msg void OnPickmergefilter();
	afx_msg void OnConfigmergefilter();
	afx_msg void OnSave();
	afx_msg void OnRecalc();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MATCHINGCONFIG_H__94C299FC_8DDA_4FEC_ACCB_B0178F61E328__INCLUDED_)
