// RemoveNearDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "RemoveNearDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRemoveNearDialog dialog


CRemoveNearDialog::CRemoveNearDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CRemoveNearDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRemoveNearDialog)
	m_Limit = 0.0f;
	//}}AFX_DATA_INIT
	ParentObject=NULL;
}


void CRemoveNearDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRemoveNearDialog)
	DDX_Text(pDX, IDC_LIMIT, m_Limit);
	DDV_MinMaxFloat(pDX, m_Limit, 0.f, 10000.f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRemoveNearDialog, CDialog)
	//{{AFX_MSG_MAP(CRemoveNearDialog)
	ON_EN_CHANGE(IDC_LIMIT, OnDialogChanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRemoveNearDialog message handlers

void CRemoveNearDialog::OnDialogChanged() 
{
	if (ParentObject) ParentObject->DialogUpdated();	
}
