// SmothenDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "SmothenDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSmothenDialog dialog


CSmothenDialog::CSmothenDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CSmothenDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSmothenDialog)
	m_Precision = 0.0f;
	//}}AFX_DATA_INIT
	ParentObject=NULL;
}


void CSmothenDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSmothenDialog)
	DDX_Text(pDX, IDC_PRECISION, m_Precision);
	DDV_MinMaxFloat(pDX, m_Precision, 0.f, 100000.0f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSmothenDialog, CDialog)
	//{{AFX_MSG_MAP(CSmothenDialog)
	ON_EN_CHANGE(IDC_PRECISION, OnDialogChanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSmothenDialog message handlers

void CSmothenDialog::OnDialogChanged() 
{
	if (ParentObject) ParentObject->DialogUpdated();
}
