// TrackSelectDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "TrackSelectDialog.h"
#include "dataspace.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTrackSelectDialog dialog


CTrackSelectDialog::CTrackSelectDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CTrackSelectDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTrackSelectDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CTrackSelectDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTrackSelectDialog)
	DDX_Control(pDX, IDC_LIST, m_List);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTrackSelectDialog, CDialog)
	//{{AFX_MSG_MAP(CTrackSelectDialog)
	ON_NOTIFY(NM_DBLCLK, IDC_LIST, OnDblclkList)
	ON_NOTIFY(NM_CLICK, IDC_LIST, OnClickList)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTrackSelectDialog message handlers


void CTrackSelectDialog::OnOK() 
{
	while (!m_SelectedStrings.IsEmpty()) m_SelectedStrings.RemoveHead();
	int ICount=m_List.GetItemCount();
	for (int i=0;i<ICount;i++)
	{
		int State=m_List.GetItemState( i, 0xff);
		if (State&LVIS_SELECTED)
		{
			CString SelectedString=m_List.GetItemText( i, 0);
			m_SelectedStrings.AddTail(SelectedString);
		}
	}	

	CDialog::OnOK();
}

BOOL CTrackSelectDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_List.DeleteAllItems();
	listoftracks::iterator it;
	for (it=GlobalDataSpace.Tracks.begin();it!=GlobalDataSpace.Tracks.end();it++)
	{
		LVITEM Itm;
		memset(&Itm,0,sizeof(Itm));
		Itm.mask=LVIF_TEXT|LVIF_DI_SETITEM;
		string s=IdAStringToString(it->TrackId,it->FileName);
		Itm.pszText=(char *)s.c_str();		
		m_List.InsertItem(&Itm);		
	}

	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CTrackSelectDialog::OnDblclkList(NMHDR* pNMHDR, LRESULT* pResult) 
{
	*pResult = 0;
	OnOK();
}

void CTrackSelectDialog::OnClickList(NMHDR* pNMHDR, LRESULT* pResult) 
{

	*pResult = 0;
}
