
#include "configurablefilter_plovprumer.h"
#include "..\PlavouciPrumerDialog.h"


void CIFILTERNAME::DoOperation(Archive &archiv,int Version)
{
	archiv<<=Count;
}


ProcessingFilter<GPSPoint> *CIFILTERNAME::CreateNewProcessingFilterInstance(void)
{
	return new CIFILTERNAME(Count);
}

CDialog *CIFILTERNAME::CreateConfigDialog(void)
{
	CIDIALOGNAME *Dlg=new CIDIALOGNAME;		
	Dlg->ParentObject=this;
	Dlg->Create((UINT)(CIDIALOGNAME::IDD),(CWnd *)MainFrame);
	return Dlg;
}

void CIFILTERNAME::SyncConfigDialog(CDialog *SyncWithDialog,bool ConfigureDialog)
{
	CIDIALOGNAME *Ptr=dynamic_cast<CIDIALOGNAME *>(SyncWithDialog);
	if (ConfigureDialog)	
	{
		Ptr->m_Count=Count;
		Ptr->UpdateData(FALSE);
	}
	else
	{
		if (Ptr->UpdateData(TRUE))
		{
			Count=Ptr->m_Count;
		}
	}

}


