
#include "configurablefilter_removenear.h"
#include "..\RemoveNearDialog.h"


void CIFILTERNAME::DoOperation(Archive &archiv,int Version)
{
	archiv<<=Limit;	
}


ProcessingFilter<GPSPoint> *CIFILTERNAME::CreateNewProcessingFilterInstance(void)
{
	return new CIFILTERNAME(Limit);
}

CDialog *CIFILTERNAME::CreateConfigDialog(void)
{
	CIDIALOGNAME *Dlg=new CIDIALOGNAME;		
	Dlg->ParentObject=this;
	Dlg->Create((UINT)(CIDIALOGNAME::IDD),(CWnd *)MainFrame);
	return Dlg;
}

void CIFILTERNAME::SyncConfigDialog(CDialog *SyncWithDialog,bool ConfigureDialog)
{
	CIDIALOGNAME *Ptr=dynamic_cast<CIDIALOGNAME *>(SyncWithDialog);
	if (ConfigureDialog)	
	{
		Ptr->m_Limit=Limit;
		Ptr->UpdateData(FALSE);
	}
	else
	{
		if (Ptr->UpdateData(TRUE))
		{
			Limit=Ptr->m_Limit;
		}
	}

}


