
#include "configurablefilter_smothen.h"
#include "..\SmothenDialog.h"


void CIFILTERNAME::DoOperation(Archive &archiv,int Version)
{
	archiv<<=Precision;	
}


ProcessingFilter<GPSPoint> *CIFILTERNAME::CreateNewProcessingFilterInstance(void)
{
	return new CIFILTERNAME(Precision);
}

CDialog *CIFILTERNAME::CreateConfigDialog(void)
{
	CIDIALOGNAME *Dlg=new CIDIALOGNAME;		
	Dlg->ParentObject=this;
	Dlg->Create((UINT)(CIDIALOGNAME::IDD),(CWnd *)MainFrame);
	return Dlg;
}

void CIFILTERNAME::SyncConfigDialog(CDialog *SyncWithDialog,bool ConfigureDialog)
{
	CIDIALOGNAME *Ptr=dynamic_cast<CIDIALOGNAME *>(SyncWithDialog);
	if (ConfigureDialog)	
	{
		Ptr->m_Precision=Precision;
		Ptr->UpdateData(FALSE);
	}
	else
	{
		if (Ptr->UpdateData(TRUE))
		{
			Precision=Ptr->m_Precision;
		}
	}

}


