#ifndef BUFFER_H
#define BUFFER_H


#include "refcount.h"
#include <list>
#include <deque>
using namespace std;
#include "archivestl.h"


template<class X>
class Buffer:public RefCounter,public Archivable
{ 
    public:
    ARCHIVABLEEXDIRECTIMPL(Buffer,X,1,1,1)
    virtual void DoOperation(Archive &archiv,int Version) {archiv<<=Data;}
    virtual void Invalidate(void) {}
    virtual void Recalculate(int What) {}

    typedef deque<X> BufferDataType;
    typedef BufferDataType::iterator BufferIterator;
    typedef RefCounterHolder<Buffer<X> >  Holder;

    BufferDataType Data;
};

template<class X>
class CrossInfo:public Archivable //udrzuje vysledky mapovani Bod->prislusne body
{
    public:
    ARCHIVABLEEXDIRECTIMPL(CrossInfo,X,1,1,1)
    virtual void DoOperation(Archive &archiv,int Version) {archiv<<=Points1;archiv<<=Points2;}
    virtual void Invalidate(void) {}

    list<X> Points1;
    list<X> Points2;      
};


#endif
