#ifndef DISPLAY_CALCBOUNDS_H
#define DISPLAY_CALCBOUNDS_H

#include "..\display.h"
#include "..\gpspoint.h"


//funkce misto kresleni skladuje informace o maximalnich hodnotach souradnic bodu
//pouzit pro zjisteni AABB (Axis Aligned Bounding Boxu)
class Display_CalcBounds:public DisplayInterface<GPSPoint>
{
     GPSPoint Min,Max;
     public:
     Display_CalcBounds(void);

     GPSPoint GetMin(void) {return Min;}
     GPSPoint GetMax(void) {return Max;}

     //z DisplayInterface
     virtual POINTf GetScreenPos(const GPSPoint &Value) {assert(!"Unsupprted call");return POINTf(0,0);}
     virtual void DrawLine(const GPSPoint &A,const GPSPoint &B,COLORTYPE Color);
     virtual void DrawLine(const GPSPoint &A,const GPSPoint &B);
};


#endif