#ifndef FILTER_CLIPSTART_H
#define FILTER_CLIPSTART_H

#include "..\filter.h"
#include "..\gpspoint.h"

class ClipStartFilter:public ProcessingFilter<GPSPoint>
{ 
     protected:
     float Precision;
     int MinMergedForStart;
     int IgnoreFirstNumPoints;
	 int MaxSkipPoints;

     public:
     ClipStartFilter(float Prec,int MinMerged,int IgnoreFirst,int MaxSkip) {Precision=Prec;MinMergedForStart=MinMerged;IgnoreFirstNumPoints=IgnoreFirst;MaxSkipPoints=MaxSkip;}
     virtual void ProcessBuffer(GPSPointBuffer::Holder InBuffer,GPSPointBuffer::Holder &OutBuffer);
};


#endif