#include "filter_removenear.h"

void RemoveNearFilter::ProcessBuffer(GPSPointBuffer::Holder InBuffer,GPSPointBuffer::Holder &OutBuffer)
{
	OutBuffer=NULL;
	if (InBuffer==NULL) return;

	OutBuffer=new GPSPointBuffer;
	GPSPointBuffer *IBuff=dynamic_cast<GPSPointBuffer *>(InBuffer.GetValue());
	GPSPointBuffer *OBuff=dynamic_cast<GPSPointBuffer *>(OutBuffer.GetValue());
	OBuff->FileName=IBuff->FileName;
	GPSPointBuffer::BufferIterator it;
   
   
	bool FirstPoint=true;
	for (it=InBuffer->Data.begin();it!=InBuffer->Data.end();it++)
		if (FirstPoint)
		{
			OutBuffer->Data.push_back(*it);		
			FirstPoint=false;
		} 	
		else
		{
			FTYPE Dist=GPSPoint::Distance(OutBuffer->Data.back(),*it);
			if (Dist>Limit) OutBuffer->Data.push_back(*it);			
		}
}
