#include "..\archivestl.h"
#include "filter_save.h"
#include <windows.h>
#include <Shlwapi.h>



void SaveGPSSegmentFilter::ProcessBuffer(GPSPointBuffer::Holder InBuffer,GPSPointBuffer::Holder &OutBuffer)
{
   OutBuffer=InBuffer;
   if (!InBuffer) return;

   if (FileName.length()==0) return;

   string FName=FileName;
   if (PathOnly)
   {
	   GPSPointBuffer *Buff=dynamic_cast<GPSPointBuffer *>(InBuffer.GetValue());
	   char *Tmpbuff1=new char[FileName.length()+1];
	   strcpy(Tmpbuff1,FileName.c_str());	   
	   PathRemoveFileSpec(Tmpbuff1); //odstranime pripadne filename z cesty

	   if (strlen(Tmpbuff1)==0) return; //z bezpecnostnich duvodu nepovolime situaci kdy je prazdna cesta	   

	   char *Tmpbuff2=new char[strlen(Tmpbuff1)+Buff->FileName.length()+5+1];
	   PathCombine(Tmpbuff2,Tmpbuff1,Buff->FileName.c_str()); //dame dohromady cestu+filename z bufferu
	   
	   FName=Tmpbuff2;
	   delete[] Tmpbuff2;
	   delete[] Tmpbuff1;
   }

   if (FName.length()==0) return;
   FILEArchiveDataSource DSource(FName.c_str(),false);
   if (!DSource.IsValid())
   {
	   string TmpFile=string("File \"")+FName+string("\" save failed");
	   MessageBox(NULL,TmpFile.c_str(),"Error",MB_OK);
	   return;
   }
   RefCounterHolder<Archive> Archiv=Archive::CreateArchive();
   Archiv->InitArchive(&DSource,false);
   (*Archiv)<<=InBuffer->Data;
   Archiv->DoneArchive();   
}

