#include "filter_smothen.h"

void SmothenFilter::ProcessBuffer(GPSPointBuffer::Holder InBuffer,GPSPointBuffer::Holder &OutBuffer)
{
	OutBuffer=NULL;
	if (InBuffer==NULL) return;

	OutBuffer=new GPSPointBuffer;
	GPSPointBuffer *IBuff=dynamic_cast<GPSPointBuffer *>(InBuffer.GetValue());
	GPSPointBuffer *OBuff=dynamic_cast<GPSPointBuffer *>(OutBuffer.GetValue());
	OBuff->FileName=IBuff->FileName;
	GPSPointBuffer::BufferIterator it=InBuffer->Data.begin();
   
	GPSPoint SouctovyPoint=*it;
	GPSPoint ZprumerovanyPoint=*it;
  	int PocetBodu=1;
	it++; //preskocime prvni uzel ktery uz jsme skopirovali
      
	for (;it!=InBuffer->Data.end();it++)
	{
		if (GPSPoint::Distance(ZprumerovanyPoint,*it)<Precision)
		{
			SouctovyPoint+=*it;
			PocetBodu++;
			ZprumerovanyPoint=SouctovyPoint;
			ZprumerovanyPoint*=1.0f/PocetBodu;
		} 	
		else			
		{
			OutBuffer->Data.push_back(ZprumerovanyPoint); //data dame na vystup
            SouctovyPoint=ZprumerovanyPoint=*it; //priradime novy prvek 
			PocetBodu=1;
		}
	}

	OutBuffer->Data.push_back(ZprumerovanyPoint);
	OutBuffer->Recalculate(GPSPB_WHAT_INDEXNAKRIVCE);
}
