#include "filter_subdivide.h"

void SubdivideFilter::ProcessBuffer(GPSPointBuffer::Holder InBuffer,GPSPointBuffer::Holder &OutBuffer)
{
	OutBuffer=NULL;
	if (InBuffer==NULL) return;
	if (InBuffer->Data.size()==0) return;

	OutBuffer=new GPSPointBuffer;
	GPSPointBuffer *IBuff=dynamic_cast<GPSPointBuffer *>(InBuffer.GetValue());
	GPSPointBuffer *OBuff=dynamic_cast<GPSPointBuffer *>(OutBuffer.GetValue());
	OBuff->FileName=IBuff->FileName;
	GPSPointBuffer::BufferIterator it=InBuffer->Data.begin();
	OutBuffer->Data.push_back(*it);
	it++;

    for (;it!=InBuffer->Data.end();)
	{
		FTYPE Dist=GPSPoint::Distance(OutBuffer->Data.back(),*it);
		if (Dist<=Distance)
		{
			OutBuffer->Data.push_back(*it);
			it++;			
		}
		else
		{
			FTYPE Pomer=(Distance/Dist);
			GPSPoint Point;
			Point=*it;
			Point-=OutBuffer->Data.back();
			Point*=Pomer;
			Point+=OutBuffer->Data.back();
			OutBuffer->Data.push_back(Point);
		}
	}
	OutBuffer->Recalculate(GPSPB_WHAT_INDEXNAKRIVCE);
}
