// ClipStartDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "ClipStartDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CClipStartDialog dialog


CClipStartDialog::CClipStartDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CClipStartDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CClipStartDialog)
	m_IgnoreFirstN = 0;
	m_MinimalMergendCount = 0;
	m_Precision = 0.0f;
	m_MaxSkip = 0;
	//}}AFX_DATA_INIT

	ParentObject=NULL;
}


void CClipStartDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CClipStartDialog)
	DDX_Text(pDX, IDC_IGNOREFIRSTN, m_IgnoreFirstN);
	DDV_MinMaxUInt(pDX, m_IgnoreFirstN, 0, 300000);
	DDX_Text(pDX, IDC_MINMERGED, m_MinimalMergendCount);
	DDV_MinMaxUInt(pDX, m_MinimalMergendCount, 1, 30000);
	DDX_Text(pDX, IDC_PRECISION, m_Precision);
	DDV_MinMaxFloat(pDX, m_Precision, 0.f, 2.e+006f);
	DDX_Text(pDX, IDC_MAXSKIP, m_MaxSkip);
	DDV_MinMaxInt(pDX, m_MaxSkip, 0, 99999);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CClipStartDialog, CDialog)
	//{{AFX_MSG_MAP(CClipStartDialog)
	ON_EN_CHANGE(IDC_IGNOREFIRSTN, OnDialogChanged)
	ON_EN_CHANGE(IDC_MINMERGED, OnDialogChanged)
	ON_EN_CHANGE(IDC_PRECISION, OnDialogChanged)
	ON_EN_CHANGE(IDC_MAXSKIP, OnDialogChanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CClipStartDialog message handlers



void CClipStartDialog::OnDialogChanged() 
{
	if (ParentObject) ParentObject->DialogUpdated();
}
