// ConfigureTrack.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "ConfigureTrack.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigureTrack dialog


CConfigureTrack::CConfigureTrack(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigureTrack::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigureTrack)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CConfigureTrack::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigureTrack)
	DDX_Control(pDX, IDC_COLORIMAGE, m_ColorImage);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigureTrack, CDialog)
	//{{AFX_MSG_MAP(CConfigureTrack)
	ON_BN_CLICKED(IDC_COLORIMAGE, OnColorimage)
	ON_BN_CLICKED(IDC_PICKCOLOR, OnPickcolor)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigureTrack message handlers

void CConfigureTrack::OnColorimage() 
{
	OnPickcolor();
}

void CConfigureTrack::OnPickcolor() 
{
	CColorDialog CCD(m_Color,CC_SOLIDCOLOR);
	if (CCD.DoModal()==IDOK)
	{
		m_Color=CCD.GetColor();	
		InvalidateRect(NULL,false);
		UpdateWindow();
	}
}

void CConfigureTrack::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	RECT r;
	m_ColorImage.GetWindowRect(&r);
	ScreenToClient(&r);
	CBrush B(m_Color);
	dc.FillRect(&r,&B);
}
