// DefaultMergeDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "DefaultMergeDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDefaultMergeDialog dialog


CDefaultMergeDialog::CDefaultMergeDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CDefaultMergeDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDefaultMergeDialog)
	m_FadeoutD = 0.0f;
	m_FadeoutS = 0.0f;
	m_MaximalOdchylkaD = 0.0f;
	m_MaximalOdchylkaS = 0.0f;
	m_MinimalTrackCountsD = 0;
	m_MinimalTrackCountsS = 0;
	//}}AFX_DATA_INIT
	ParentObject=NULL;
}


void CDefaultMergeDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDefaultMergeDialog)
	DDX_Text(pDX, IDC_FADEOUTD, m_FadeoutD);
	DDV_MinMaxFloat(pDX, m_FadeoutD, 0.f, 99999.f);
	DDX_Text(pDX, IDC_FADEOUTS, m_FadeoutS);
	DDV_MinMaxFloat(pDX, m_FadeoutS, 0.f, 99999.f);
	DDX_Text(pDX, IDC_ODCHYLKAD, m_MaximalOdchylkaD);
	DDV_MinMaxFloat(pDX, m_MaximalOdchylkaD, 0.f, 99999.f);
	DDX_Text(pDX, IDC_ODCHYLKAS, m_MaximalOdchylkaS);
	DDV_MinMaxFloat(pDX, m_MaximalOdchylkaS, 0.f, 9999.f);
	DDX_Text(pDX, IDC_TRASD, m_MinimalTrackCountsD);
	DDV_MinMaxInt(pDX, m_MinimalTrackCountsD, 0, 10000);
	DDX_Text(pDX, IDC_TRASS, m_MinimalTrackCountsS);
	DDV_MinMaxInt(pDX, m_MinimalTrackCountsS, 0, 10000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDefaultMergeDialog, CDialog)
	//{{AFX_MSG_MAP(CDefaultMergeDialog)
	ON_EN_CHANGE(IDC_FADEOUTD, OnDialogChanged)
	ON_EN_CHANGE(IDC_FADEOUTS, OnDialogChanged)
	ON_EN_CHANGE(IDC_ODCHYLKAD, OnDialogChanged)
	ON_EN_CHANGE(IDC_ODCHYLKAS, OnDialogChanged)
	ON_EN_CHANGE(IDC_TRASD, OnDialogChanged)
	ON_EN_CHANGE(IDC_TRASS, OnDialogChanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDefaultMergeDialog message handlers

void CDefaultMergeDialog::OnDialogChanged() 
{
	if (ParentObject) ParentObject->DialogUpdated();	
}

