// ListOfFiltersDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "ListOfFiltersDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CListOfFiltersDialog dialog


CListOfFiltersDialog::CListOfFiltersDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CListOfFiltersDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CListOfFiltersDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CListOfFiltersDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CListOfFiltersDialog)
	DDX_Control(pDX, IDC_UP, m_Up);
	DDX_Control(pDX, IDC_DOWN, m_Down);
	DDX_Control(pDX, IDC_DELETE, m_Delete);
	DDX_Control(pDX, IDC_ADD, m_Add);
	DDX_Control(pDX, IDC_FILTERSLIST, m_List);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CListOfFiltersDialog, CDialog)
	//{{AFX_MSG_MAP(CListOfFiltersDialog)
	ON_NOTIFY(NM_DBLCLK, IDC_FILTERSLIST, OnDblclkFilterslist)
	ON_BN_CLICKED(IDC_UP, OnUp)
	ON_BN_CLICKED(IDC_ADD, OnAdd)
	ON_BN_CLICKED(IDC_DELETE, OnDelete)
	ON_BN_CLICKED(IDC_DOWN, OnDown)
	ON_NOTIFY(NM_CLICK, IDC_FILTERSLIST, OnClickFilterslist)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CListOfFiltersDialog message handlers


BOOL CListOfFiltersDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();

	/*LVCOLUMN ColumnDesc;
	memset(&ColumnDesc,0,sizeof(ColumnDesc));
	ColumnDesc.mask=LVCF_TEXT;
	ColumnDesc.pszText="Filter name";		
	m_List.SetColumn( 0, &ColumnDesc);*/

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CListOfFiltersDialog::OnDblclkFilterslist(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	NMLISTVIEW *DataPtr=(NMLISTVIEW *)pNMHDR;
	GlobalDataSpace.ShowConfigurationDialog(m_FiltersListIndex,DataPtr->iItem);	
	*pResult = 0;
}

void CListOfFiltersDialog::OnUp() 
{
	int ICount=m_List.GetItemCount();
	for (int i=0;i<ICount;i++)
	{
		int State=m_List.GetItemState( i, 0xff);
		if (State&LVIS_SELECTED)
		{
			GlobalDataSpace.MoveItemUp(m_FiltersListIndex,i);
			break;
		}
	}	
}

void CListOfFiltersDialog::OnAdd() 
{	
	GlobalDataSpace.AddItem(m_FiltersListIndex);	
}

void CListOfFiltersDialog::OnDelete() 
{
	int ICount=m_List.GetItemCount();
	for (int i=0;i<ICount;i++)
	{
		int State=m_List.GetItemState( i, 0xff);
		if (State&LVIS_SELECTED)
		{
			GlobalDataSpace.DeleteItem(m_FiltersListIndex,i);
			break;
		}
	}
	
}

void CListOfFiltersDialog::OnDown() 
{
	// TODO: Add your control notification handler code here
	int ICount=m_List.GetItemCount();
	for (int i=0;i<ICount;i++)
	{
		int State=m_List.GetItemState( i, 0xff);
		if (State&LVIS_SELECTED)
		{
			GlobalDataSpace.MoveItemDown(m_FiltersListIndex,i);
			break;
		}
	}
	
}

void CListOfFiltersDialog::UpdateButtons()
{
	m_Add.EnableWindow(true);
	m_Delete.EnableWindow(false);
	m_Up.EnableWindow(false);
	m_Down.EnableWindow(false);
	int ICount=m_List.GetItemCount();
	for (int i=0;i<ICount;i++)
	{
		int State=m_List.GetItemState( i, 0xff);
		if (State&LVIS_SELECTED)
		{
			m_Delete.EnableWindow(true);
			if (i!=0) m_Up.EnableWindow(true);
			if (i!=ICount-1) m_Down.EnableWindow(true);
			break;
		}
	}
}


void CListOfFiltersDialog::OnClickFilterslist(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	UpdateButtons();
	*pResult = 0;
}
