// RemoveStairsDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "RemoveStairsDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRemoveStairsDialog dialog


CRemoveStairsDialog::CRemoveStairsDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CRemoveStairsDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRemoveStairsDialog)
	m_MaximalStairSize = 0.0f;
	//}}AFX_DATA_INIT
	ParentObject=NULL;
}


void CRemoveStairsDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRemoveStairsDialog)
	DDX_Text(pDX, IDC_MAXSTAIRSIZE, m_MaximalStairSize);
	DDV_MinMaxFloat(pDX, m_MaximalStairSize, 0.f, 1000000.0f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRemoveStairsDialog, CDialog)
	//{{AFX_MSG_MAP(CRemoveStairsDialog)
	ON_EN_CHANGE(IDC_MAXSTAIRSIZE, OnDialogChanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRemoveStairsDialog message handlers

void CRemoveStairsDialog::OnDialogChanged() 
{
	if (ParentObject) ParentObject->DialogUpdated();
}
