// SaveGPSSegmentDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "SaveGPSSegmentDialog.h"
#include "Shlwapi.h"
#include "filters\configurablefilter_save.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSaveGPSSegmentDialog dialog


CSaveGPSSegmentDialog::CSaveGPSSegmentDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CSaveGPSSegmentDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSaveGPSSegmentDialog)
	m_FileName = _T("");
	m_PathOnly = FALSE;
	//}}AFX_DATA_INIT
}


void CSaveGPSSegmentDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSaveGPSSegmentDialog)
	DDX_Control(pDX, IDC_PATHONLY, m_PathOnlyCtrl);
	DDX_Control(pDX, IDC_FNAME, m_FileNameCtrl);
	DDX_Text(pDX, IDC_FNAME, m_FileName);
	DDX_Check(pDX, IDC_PATHONLY, m_PathOnly);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSaveGPSSegmentDialog, CDialog)
	//{{AFX_MSG_MAP(CSaveGPSSegmentDialog)
	ON_BN_CLICKED(IDC_PICKFNAME, OnPickfname)
	ON_BN_CLICKED(IDC_RECALC, OnRecalc)
	ON_BN_CLICKED(IDC_PATHONLY, OnPathonly)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSaveGPSSegmentDialog message handlers
extern CDataDisplayApp theApp;
void CSaveGPSSegmentDialog::OnPickfname() 
{
	const char *FilesEx="Segment files (*.seg)|*.seg|All Files (*.*)|*.*||";

	CFileDialog FDLG(false,"seg",NULL,OFN_EXPLORER|OFN_PATHMUSTEXIST|OFN_NOREADONLYRETURN,FilesEx,theApp.m_pMainWnd);
	if (FDLG.DoModal()==IDOK)
	{
		m_FileNameCtrl.SetWindowText(FDLG.GetPathName());

		//protoze nechceme aby az do stisku tlacitka Recalc bylo pouzivano jmeno souboru tak ho v objektu zrusime
		ConfSaveGPSSegmentFilter *Fltr=dynamic_cast<ConfSaveGPSSegmentFilter *>(ParentObject);
		ASSERT(Fltr);
		Fltr->ResetFileName();
	}
}

void CSaveGPSSegmentDialog::OnRecalc() 
{
	if (ParentObject) ParentObject->DialogUpdated();	
}

void CSaveGPSSegmentDialog::OnPathonly() 
{
	if (ParentObject)
	{
		//protoze nechceme aby az do stisku tlacitka Recalc bylo pouzivano jmeno souboru tak ho v objektu zrusime
		ConfSaveGPSSegmentFilter *Fltr=dynamic_cast<ConfSaveGPSSegmentFilter *>(ParentObject);
		ASSERT(Fltr);
		Fltr->ResetFileName();
	}
}
