// SubdivideDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DataDisplay.h"
#include "SubdivideDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSubdivideDialog dialog


CSubdivideDialog::CSubdivideDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CSubdivideDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSubdivideDialog)
	m_Distance = 0.0f;
	//}}AFX_DATA_INIT
	ParentObject=NULL;

}


void CSubdivideDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSubdivideDialog)
	DDX_Text(pDX, IDC_DISTANCE, m_Distance);
	DDV_MinMaxFloat(pDX, m_Distance, 1.e-002f, 100000.0f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSubdivideDialog, CDialog)
	//{{AFX_MSG_MAP(CSubdivideDialog)
	ON_EN_CHANGE(IDC_DISTANCE, OnDialogChanged)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSubdivideDialog message handlers

void CSubdivideDialog::OnDialogChanged() 
{
	if (ParentObject) ParentObject->DialogUpdated();
}
