
#include "configurablefilter_defaultmerge.h"
#include "..\DefaultMergeDialog.h"

void CIFILTERNAME::DoOperation(Archive &archiv,int Version)
{
	archiv<<=MaximalniOdchylkaD;
	archiv<<=FadeoutD;
	archiv<<=MinimalTrackCountsD;	

	archiv<<=MaximalniOdchylkaS;
	archiv<<=FadeoutS;
	archiv<<=MinimalTrackCountsS;

	
	/*MinimalTrackCountsD=0;
	MaximalniOdchylkaS=MaximalniOdchylkaD;
	FadeoutS=FadeoutD;
	MinimalTrackCountsS=MinimalTrackCountsD;*/
}


MergingFilter<GPSPoint> *CIFILTERNAME::CreateNewMergingFilterInstance(void)
{
	return new CIFILTERNAME(MaximalniOdchylkaD,FadeoutD,MinimalTrackCountsD,MaximalniOdchylkaS,FadeoutS,MinimalTrackCountsS);
}

CDialog *CIFILTERNAME::CreateConfigDialog(void)
{
	CIDIALOGNAME *Dlg=new CIDIALOGNAME;		
	Dlg->ParentObject=this;
	Dlg->Create((UINT)(CIDIALOGNAME::IDD),(CWnd *)MainFrame);
	return Dlg;
}

void CIFILTERNAME::SyncConfigDialog(CDialog *SyncWithDialog,bool ConfigureDialog)
{
	CIDIALOGNAME *Ptr=dynamic_cast<CIDIALOGNAME *>(SyncWithDialog);
	if (ConfigureDialog)	
	{
		Ptr->m_MaximalOdchylkaD=MaximalniOdchylkaD;
		Ptr->m_FadeoutD=FadeoutD;
		Ptr->m_MinimalTrackCountsD=MinimalTrackCountsD;

		Ptr->m_MaximalOdchylkaS=MaximalniOdchylkaS;
		Ptr->m_FadeoutS=FadeoutS;
		Ptr->m_MinimalTrackCountsS=MinimalTrackCountsS;

		Ptr->UpdateData(FALSE);
	}
	else
	{
		if (Ptr->UpdateData(TRUE))
		{
			MaximalniOdchylkaD=Ptr->m_MaximalOdchylkaD;
			FadeoutD=Ptr->m_FadeoutD;
			MinimalTrackCountsD=Ptr->m_MinimalTrackCountsD;
			MaximalniOdchylkaS=Ptr->m_MaximalOdchylkaS;
			FadeoutS=Ptr->m_FadeoutS;
			MinimalTrackCountsS=Ptr->m_MinimalTrackCountsS;

		}
	}
}


