#ifndef CONFIGURABLEFILTER_DEFORMMATCH_H
#define CONFIGURABLEFILTER_DEFORMMATCH_H

#ifdef CIORIGINALNAME 
#undef CIORIGINALNAME
#undef CIFILTERNAME
#undef CIFILTERNAMESTR
#undef CIDIALOGNAME
#endif


#define CIORIGINALNAME DeformationMatchingFilter
#define CIFILTERNAME ConfDeformationMatchingFilter
#define CIFILTERNAMESTR "ConfDeformationMatchingFilter"
#define CIDIALOGNAME CDeformationMatchingDialog

#include "confinterface.h"
#include "..\..\shared\filters_matching\filter_deformmatch.h"

class CIFILTERNAME:public CIORIGINALNAME,public ConfigInterface
{
	public:
    	CIFILTERNAME(float ACHP,float ZCP,float PZP,float MPP,float KS,float CS,float MaxChan):CIORIGINALNAME(ACHP,ZCP,PZP,MPP,KS,CS,MaxChan) {}

	CIDEFAULTMEMBERSMATCH("Deforman piazovn");
};

#endif
