
#include "configurablefilter_save.h"
#include "..\SaveGPSSegmentDialog.h"


void CIFILTERNAME::DoOperation(Archive &archiv,int Version)
{
	archiv<<=FileName;
	archiv<<=PathOnly;
}


ProcessingFilter<GPSPoint> *CIFILTERNAME::CreateNewProcessingFilterInstance(void)
{
	return new CIFILTERNAME(FileName,PathOnly);
}

CDialog *CIFILTERNAME::CreateConfigDialog(void)
{
	CIDIALOGNAME *Dlg=new CIDIALOGNAME;		
	Dlg->ParentObject=this;
	Dlg->Create((UINT)(CIDIALOGNAME::IDD),(CWnd *)MainFrame);
	return Dlg;
}

void CIFILTERNAME::SyncConfigDialog(CDialog *SyncWithDialog,bool ConfigureDialog)
{
	CIDIALOGNAME *Ptr=dynamic_cast<CIDIALOGNAME *>(SyncWithDialog);
	if (ConfigureDialog)
	{
		Ptr->m_FileName=FileName.c_str();
		Ptr->m_PathOnly=PathOnly;
		Ptr->UpdateData(FALSE);
	}
	else
	{
		if (Ptr->UpdateData(TRUE))
		{
			FileName=Ptr->m_FileName;
			PathOnly=Ptr->m_PathOnly!=0;
		}
	}

}

void CIFILTERNAME::ResetFileName(void)
{
	FileName="";
}


