#ifndef DISPLAY_H
#define DISPLAY_H


#include "refcount.h"

struct POINTf
{
   long double x,y;
   POINTf(void) {}
   POINTf(float X,float Y) {x=X;y=Y;}
};

typedef unsigned int COLORTYPE;


template<class X>
class DisplayInterface:public RefCounter
{
    public:
    typedef RefCounterHolder<DisplayInterface<X> >  Holder;
    virtual POINTf GetScreenPos(const X &Value)=0;
    virtual void DrawLine(const X &A,const X &B,COLORTYPE Color)=0;
    virtual void DrawLine(const X &A,const X &B)=0;
};


#endif
