#include "filter_normaldisp.h"

void NormalDisplayFilter::DisplayBuffer(GPSPointBuffer::Holder IBuffer,DisplayInterface<GPSPoint>::Holder Display)
{
	if (!IBuffer.GetValue()) return;
	if (IBuffer->Data.size()<2) return; //prilis kratky buffer	
	GPSPointBuffer::BufferIterator it=IBuffer->Data.begin();
	GPSPointBuffer::BufferIterator it2=it;
	it2++;	                                       
	for (;it2!=IBuffer->Data.end();it++,it2++)
		Display->DrawLine(*it,*it2);
}

void NormalDisplayFilter::DisplayCrossBuffer(Buffer<CrossInfo<GPSPoint> >::Holder IBuffer,DisplayInterface<GPSPoint>::Holder Display)
{
	if (!IBuffer.GetValue()) return;
	Buffer<CrossInfo<GPSPoint> >::BufferIterator it;
	for (it=IBuffer->Data.begin();it!=IBuffer->Data.end();it++)
		if (it->Points2.size() && it->Points1.size())		
		{
//			assert(it->Points1.size()==1 || it->Points2.size()==1);
			list<GPSPoint>::iterator it2;
			list<GPSPoint>::iterator it3;
			for (it2=it->Points1.begin();it2!=it->Points1.end();it2++)
				for (it3=it->Points2.begin();it3!=it->Points2.end();it3++)
					Display->DrawLine(*it2,*it3);
		}
}