#ifndef FILTER_DEFAULTMERGE_H
#define FILTER_DEFAULTMERGE_H

#include "..\filter.h"
#include "..\gpspoint.h"

class DefaultMergeFilter:public MergingFilter<GPSPoint>
{
     protected:
	 float MaximalniOdchylkaD;
	 float FadeoutD;
	 int MinimalTrackCountsD;
	 float MaximalniOdchylkaS;
	 float FadeoutS;
	 int MinimalTrackCountsS;

     public:
     DefaultMergeFilter(float MaxOdchD,float FOutD,int MTCD,float MaxOdchS,float FOutS,int MTCS) 
     {
		 MaximalniOdchylkaD=MaxOdchD;
		 FadeoutD=FOutD;
		 MinimalTrackCountsD=MTCD;
		 
		 MaximalniOdchylkaS=MaxOdchS;
		 FadeoutS=FOutS;
		 MinimalTrackCountsS=MTCS;

     }

     virtual void GenerateResult(GPSPointBuffer::Holder PrimaryCurve,Buffer<MatchPair<GPSPoint> >::Holder Matches,GPSPointBuffer::Holder &ResultCurve);
};

#endif