
#include "..\archivestl.h"
#include "filter_load.h"



#include <windows.h>

void LoadGPSSegmentFilter::ProcessBuffer(GPSPointBuffer::Holder InBuffer,GPSPointBuffer::Holder &OutBuffer)
{
   OutBuffer=new GPSPointBuffer;   
   FILEArchiveDataSource DSource(FileName.c_str(),true);
   if (!DSource.IsValid())
   {
	   string TmpFile=string("File \"")+FileName+string("\" load failed");
	   MessageBox(NULL,TmpFile.c_str(),"Error",MB_OK);
	   OutBuffer=new GPSPointBuffer;
	   return;
   }

   RefCounterHolder<Archive> Archiv=Archive::CreateArchive();
   Archiv->InitArchive(&DSource,true);
   (*Archiv)<<=OutBuffer->Data;
   Archiv->DoneArchive();   
   OutBuffer->Recalculate(GPSPB_WHAT_DELKANAKRIVCE);
   OutBuffer->Recalculate(GPSPB_WHAT_INDEXNAKRIVCE);
   
   
   string ClippedFileName=FileName;
   int i=ClippedFileName.find_last_of('\\');
   if (i!=ClippedFileName.npos)
	   ClippedFileName.erase(0,i+1);

   GPSPointBuffer *Buff=dynamic_cast<GPSPointBuffer *>(OutBuffer.GetValue());
   Buff->FileName=ClippedFileName;

}

