#include "filter_plovprumer.h"

void PlavouciPrumerFilter::ProcessBuffer(GPSPointBuffer::Holder InBuffer,GPSPointBuffer::Holder &OutBuffer)
{
	OutBuffer=NULL;
	if (InBuffer==NULL) return;

	OutBuffer=new GPSPointBuffer;
	GPSPointBuffer *IBuff=dynamic_cast<GPSPointBuffer *>(InBuffer.GetValue());
	GPSPointBuffer *OBuff=dynamic_cast<GPSPointBuffer *>(OutBuffer.GetValue());
	OBuff->FileName=IBuff->FileName;
	GPSPointBuffer::BufferIterator it;	
    for (it=InBuffer->Data.begin();it!=InBuffer->Data.end();it++)
	{
		int Index=it->IndexNaKrivce;
		GPSPoint ZprumerovanyPoint=*it;
		int Pocet=1;
		GPSPointBuffer::BufferIterator it2=it;

		for (int j=0;j<Count+1 && it2!=InBuffer->Data.end();j++,it2++)
		{
			if (it2!=it)
			{
				ZprumerovanyPoint+=*it2;
				Pocet++;
			}
		}

		it2=it;		 
		for (int i=0;i<Count+1;i++)
		{			
			if (it2!=it)
			{
				ZprumerovanyPoint+=*it2;
				Pocet++;
			}
			if (it2==InBuffer->Data.begin()) break;
			it2--;
		}
		if (Pocet) ZprumerovanyPoint*=1.0f/Pocet;		
		ZprumerovanyPoint.IndexNaKrivce=Index;
		OutBuffer->Data.push_back(ZprumerovanyPoint);
	}
}
