#include "gpspoint.h"
#include <math.h>

void GPSPoint::InitByMetry(VECT3D Value)
{
    Mode=METRY;
    PoziceVMetrech=Value;
}
void GPSPoint::InitByStupne(VECT3D Value)
{
    assert(!"Unsupported call");
}

void GPSPointBuffer::Recalculate(int What) 
{
	if (Data.size()==0) return;

	if (What==GPSPB_WHAT_DELKANAKRIVCE)
	{
		double LineLength=0.0;
		BufferIterator itold=Data.end();
		BufferIterator it=Data.begin();
		(*it).DelkaNaKrivce=0.0;
		for (;it!=Data.end();it++)
		{
			if (itold!=Data.end())
			{
				GPSPoint &First=*itold;
				GPSPoint &Second=*it;			
				float CalcedDist=GPSPoint::Distance(First,Second);
				LineLength+=CalcedDist;
				Second.DelkaNaKrivce=LineLength;
			}
			itold=it;			
		}
		for (it=Data.begin();it!=Data.end();it++)
			(*it).DelkaKrivky=LineLength;
	}
	if (What==GPSPB_WHAT_INDEXNAKRIVCE)
	{
		int i=0;
		BufferIterator it=Data.begin();	
		for (it=Data.begin();it!=Data.end();it++,i++)
			(*it).IndexNaKrivce=i;

	}
}


FTYPE GPSPoint::Distance(const GPSPoint &first,const GPSPoint &second)
{
     FTYPE d1=first.PoziceVMetrech.s-second.PoziceVMetrech.s;
     FTYPE d2=first.PoziceVMetrech.d-second.PoziceVMetrech.d;
     return sqrt(d1*d1+d2*d2);
}

void operator<<=(Archive &arch,VECT3D &p)
{
  arch<<=p.s;
  arch<<=p.d;
  arch<<=p.v;
}

void operator<<=(Archive &arch,GPSPoint &p)
{
   STOREENUM(arch,p.Mode,GPSPoint::PointMode);
   arch<<=p.PoziceVeStupnich;
   arch<<=p.PoziceVMetrech;
}

